%define	xmmsinputdir	%(xmms-config --input-plugin-dir)

Summary: An encoder/decoder for the Free Lossless Audio Codec.
Name: flac
Version: 1.0.2
Release: fr2
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}-src.tar.bz2
Patch0: flac-1.0.2-xmms-plugin-build.patch
URL: http://flac.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: libogg
BuildRequires: xmms-devel, libogg-devel, nasm

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.


%package devel
Summary: Static libraries and header files from FLAC.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.


%package xmms
Summary: xmms plugin to play FLAC files
Group: Applications/Multimedia
Requires: xmms >= 0.9.5.1, %{name} = %{version}

%description xmms
An input plugin that enables playback of FLAC files in xmms.

%prep
%setup -q
%patch0 -p1 -b .pluginbuild

%build
%configure --includedir=%{_includedir}/FLAC
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{xmmsinputdir}
%makeinstall \
	includedir=%{buildroot}%{_includedir}/FLAC \
	xmmsinputplugindir=%{buildroot}%{xmmsinputdir}
find doc/ -name "Makefile*" -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* README doc
%{_bindir}/flac
%{_bindir}/metaflac
%{_libdir}/libFLAC.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.a
%{_libdir}/libFLAC.la
%{_libdir}/libFLAC.so
%{xmmsinputdir}/*.la

%files xmms
%defattr(-, root, root)
%{xmmsinputdir}/*.so

%changelog
* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

